=== modified file 'network-hooks.d/bridge'
--- network-hooks.d/bridge	2011-12-31 13:25:58 +0000
+++ network-hooks.d/bridge	2011-11-28 23:40:46 +0000
@@ -15,17 +15,13 @@
 
 CONFIG="$MANDOSNETHOOKDIR/bridge.conf"
 
-addrtoif(){
-    grep -liFe "$1" /sys/class/net/*/address | sed -e 's,.*/\([^/]*\)/[^/]*,\1,'
-}
-
-# Read config file, which must set "BRIDGE", "PORT_ADDRESSES", and
-# optionally "IPADDRS" and "ROUTES".
+# Read config file, which must set "BRIDGE", "PORTS", and optionally
+# "IPADDRS" and "ROUTES".
 if [ -e "$CONFIG" ]; then
     . "$CONFIG"
 fi
 
-if [ -z "$BRIDGE" -o -z "$PORT_ADDRESSES" ]; then
+if [ -z "$BRIDGE" -o -z "$PORTS" ]; then
     exit
 fi
 
@@ -43,12 +39,11 @@
 case "$1" in
     start)
 	"$brctl" addbr "$BRIDGE"
-	for address in $PORT_ADDRESSES; do
-	    interface=`addrtoif "$address"`
-	    "$brctl" addif "$BRIDGE" "$interface"
-	    ip link set dev "$interface" up
+	for port in $PORTS; do
+	    "$brctl" addif "$BRIDGE" "$port"
+	    ip link set up "$port"
 	done
-	ip link set dev "$BRIDGE" up
+	ip link set up "$BRIDGE"
 	sleep "$DELAY"
 	if [ -n "$IPADDRS" ]; then
             for ipaddr in $IPADDRS; do
@@ -62,11 +57,10 @@
 	fi
 	;;
     stop)
-	ip link set dev "$BRIDGE" down
-	for address in $PORT_ADDRESSES; do
-	    interface=`addrtoif "$address"`
-	    ip link set dev "$interface" down
-	    "$brctl" delif "$BRIDGE" "$interface"
+	ip link set down "$BRIDGE"
+	for port in $PORTS; do
+	    ip link set down "$port"
+	    "$brctl" delif "$BRIDGE" "$port"
 	done
 	"$brctl" delbr "$BRIDGE"
 	;;

=== modified file 'network-hooks.d/bridge.conf'
--- network-hooks.d/bridge.conf	2011-12-31 13:25:58 +0000
+++ network-hooks.d/bridge.conf	2011-11-24 20:15:24 +0000
@@ -2,7 +2,7 @@
 
 #BRIDGE=br0
 
-#PORT_ADDRESSES="00:11:22:33:44:55 11:22:33:44:55:66"
+#PORTS="eth0 eth1"
 
 ## Optional
 

=== removed file 'network-hooks.d/wireless'
--- network-hooks.d/wireless	2011-12-31 13:25:58 +0000
+++ network-hooks.d/wireless	1970-01-01 00:00:00 +0000
@@ -1,153 +0,0 @@
-#!/bin/sh
-#
-# This is an example of a Mandos client network hook.  This hook
-# brings up a wireless interface as specified in a separate
-# configuration file.  To be used, this file and any needed
-# configuration file(s) should be copied into the
-# /etc/mandos/network-hooks.d directory.
-# 
-# Copying and distribution of this file, with or without modification,
-# are permitted in any medium without royalty provided the copyright
-# notice and this notice are preserved.  This file is offered as-is,
-# without any warranty.
-
-set -e
-
-RUNDIR="/run"
-CTRL="$RUNDIR/wpa_supplicant-global"
-CTRLDIR="$RUNDIR/wpa_supplicant"
-PIDFILE="$RUNDIR/wpa_supplicant-mandos.pid"
-
-CONFIG="$MANDOSNETHOOKDIR/wireless.conf"
-
-addrtoif(){
-    grep -liFe "$1" /sys/class/net/*/address | sed -e 's,.*/\([^/]*\)/[^/]*,\1,'
-}
-
-# Read config file
-if [ -e "$CONFIG" ]; then
-    . "$CONFIG"
-else
-    exit
-fi
-
-ifkeys="`env | sed -n -e 's/^ADDRESS_\([^=]*\)=.*/\1/p' \"$CONFIG\" | sort -u`"
-
-# Exit if DEVICE is set and is not any of the wireless interfaces
-if [ -n "$DEVICE" ]; then
-    while :; do
-	for KEY in $ifkeys; do
-	    ADDRESS=`eval 'echo "$ADDRESS_'"$KEY"\"`
-	    INTERFACE=`addrtoif "$ADDRESS"`
-	    if [ "$INTERFACE" = "$DEVICE" ]; then
-		break 2
-	    fi
-	done
-	exit
-    done
-fi
-
-wpa_supplicant=/sbin/wpa_supplicant
-wpa_cli=/sbin/wpa_cli
-ip=/bin/ip
-
-# Used by the wpa_interface_* functions in the wireless.conf file
-wpa_cli_set(){
-    case "$1" in
-        ssid|psk) arg="\"$2\"" ;;
-        *) arg="$2" ;;
-    esac
-    "$wpa_cli" -p "$CTRLDIR" -i "$INTERFACE" set_network "$NETWORK" \
-	"$1" "$arg" 2>&1 | sed -e '/^OK$/d'
-}
-
-if [ $VERBOSITY -gt 0 ]; then
-    WPAS_OPTIONS="-d $WPAS_OPTIONS"
-fi
-if [ -n "$PIDFILE" ]; then
-    WPAS_OPTIONS="-P$PIDFILE $WPAS_OPTIONS"
-fi
-
-case "${MODE:-$1}" in
-    start)
-	mkdir -m u=rwx,go= -p "$CTRLDIR"
-	"$wpa_supplicant" -B -g "$CTRL" -p "$CTRLDIR" $WPAS_OPTIONS
-        for KEY in $ifkeys; do
-	    ADDRESS=`eval 'echo "$ADDRESS_'"$KEY"\"`
-	    INTERFACE=`addrtoif "$ADDRESS"`
-	    DRIVER=`eval 'echo "$WPA_DRIVER_'"$KEY"\"`
-	    IFDELAY=`eval 'echo "$DELAY_'"$KEY"\"`
-	    "$wpa_cli" -g "$CTRL" interface_add "$INTERFACE" "" \
-		"${DRIVER:-wext}" "$CTRLDIR" > /dev/null \
-		| sed -e '/^OK$/d'
-	    NETWORK=`"$wpa_cli" -p "$CTRLDIR" -i "$INTERFACE" add_network`
-	    eval wpa_interface_"$KEY"
-	    "$wpa_cli" -p "$CTRLDIR" -i "$INTERFACE" enable_network \
-		"$NETWORK" | sed -e '/^OK$/d'
-	    sleep "${IFDELAY:-$DELAY}" &
-	    sleep=$!
-	    while :; do
-		kill -0 $sleep 2>/dev/null || break
-		STATE=`"$wpa_cli" -p "$CTRLDIR" -i "$INTERFACE" status | sed -n -e 's/^wpa_state=//p'`
-		if [ "$STATE" = COMPLETED ]; then
-		    while :; do
-			kill -0 $sleep 2>/dev/null || break 2
-			UP=`cat /sys/class/net/"$INTERFACE"/operstate`
-			if [ "$UP" = up ]; then
-			    kill $sleep 2>/dev/null
-			    break 2
-			fi
-			sleep 1
-		    done
-		fi
-		sleep 1
-	    done &
-	    wait $sleep || :
-	    IPADDRS=`eval 'echo "$IPADDRS_'"$KEY"\"`
-	    if [ -n "$IPADDRS" ]; then
-		if [ "$IPADDRS" = dhcp ]; then
-		    ipconfig -c dhcp -d "$INTERFACE" || :
-		    #dhclient "$INTERFACE"
-		else
-		    for ipaddr in $IPADDRS; do
-			"$ip" addr add "$ipaddr" dev "$INTERFACE"
-		    done
-		fi
-	    fi
-	    ROUTES=`eval 'echo "$ROUTES_'"$KEY"\"`
-	    if [ -n "$ROUTES" ]; then
-		for route in $ROUTES; do
-		    "$ip" route add "$route" dev "$BRIDGE"
-		done
-	    fi
-        done
-	;;
-    stop)
-	"$wpa_cli" -g "$CTRL" terminate 2>&1 | sed -e '/^OK$/d'
-        for KEY in $ifkeys; do
-	    ADDRESS=`eval 'echo "$ADDRESS_'"$KEY"\"`
-	    INTERFACE=`addrtoif "$ADDRESS"`
-	    "$ip" addr show scope global permanent dev "$INTERFACE" \
-		| while read type addr rest; do
-		case "$type" in
-		    inet|inet6)
-			"$ip" addr del "$addr" dev "$INTERFACE"
-			;;
-		esac
-	    done
-	    "$ip" link set dev "$INTERFACE" down
-	done
-	;;
-    files)
-	echo "$wpa_supplicant"
-	echo "$wpa_cli"
-	echo "$ip"
-	;;
-    modules)
-	if [ "$IPADDRS" = dhcp ]; then
-	    echo af_packet
-	fi
-	sed -n -e 's/#.*$//' -e 's/[ 	]*$//' \
-	    -e 's/^MODULE_[^=]\+=//p' "$CONFIG"
-	;;
-esac

=== removed file 'network-hooks.d/wireless.conf'
--- network-hooks.d/wireless.conf	2011-12-31 13:25:58 +0000
+++ network-hooks.d/wireless.conf	1970-01-01 00:00:00 +0000
@@ -1,23 +0,0 @@
-# Extra options for wpa_supplicant, if any
-#WPAS_OPTIONS=""
-
-# wlan0
-ADDRESS_0=00:11:22:33:44:55
-MODULE_0=ath9k
-#WPA_DRIVER_0=wext
-wpa_interface_0(){
-    # Use this format to set simple things:
-    wpa_cli_set ssid home
-    wpa_cli_set psk "secret passphrase"
-    # Use this format to do more complex things with wpa_cli:
-    #"$wpa_cli" -p "$CTRLDIR" -i "$INTERFACE" bssid "$NETWORK" 00:11:22:33:44:55
-    #"$wpa_cli" -g "$CTRL" ping
-}
-#DELAY_0=10
-IPADDRS_0=dhcp
-#IPADDRS_0="192.0.2.3/24 2001:DB8::aede:48ff:fe71:f6f2/32"
-#ROUTES_0="192.0.2.0/24 2001:DB8::/32"
-
-#ADDRESS_1=11:22:33:44:55:66
-#MODULE_1=...
-#...

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2011-12-25 00:40:09 +0000
+++ plugin-runner.c	2011-12-25 10:33:25 +0000
@@ -426,7 +426,7 @@
     errno = 0;
     switch(key){
       char *tmp;
-      intmax_t tmpmax;
+      intmax_t tmp_id;
     case 'g': 			/* --global-options */
       {
 	char *plugin_option;
@@ -505,24 +505,24 @@
       /* This is already done by parse_opt_config_file() */
       break;
     case 130:			/* --userid */
-      tmpmax = strtoimax(arg, &tmp, 10);
+      tmp_id = strtoimax(arg, &tmp, 10);
       if(errno != 0 or tmp == arg or *tmp != '\0'
-	 or tmpmax != (uid_t)tmpmax){
+	 or tmp_id != (uid_t)tmp_id){
 	argp_error(state, "Bad user ID number: \"%s\", using %"
 		   PRIdMAX, arg, (intmax_t)uid);
 	break;
       }
-      uid = (uid_t)tmpmax;
+      uid = (uid_t)tmp_id;
       break;
     case 131:			/* --groupid */
-      tmpmax = strtoimax(arg, &tmp, 10);
+      tmp_id = strtoimax(arg, &tmp, 10);
       if(errno != 0 or tmp == arg or *tmp != '\0'
-	 or tmpmax != (gid_t)tmpmax){
+	 or tmp_id != (gid_t)tmp_id){
 	argp_error(state, "Bad group ID number: \"%s\", using %"
 		   PRIdMAX, arg, (intmax_t)gid);
 	break;
       }
-      gid = (gid_t)tmpmax;
+      gid = (gid_t)tmp_id;
       break;
     case 132:			/* --debug */
       debug = true;

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2011-12-30 18:48:49 +0000
+++ plugins.d/mandos-client.c	2011-12-25 00:40:09 +0000
@@ -1450,7 +1450,7 @@
 	  perror_plus("setenv");
 	  _exit(EX_OSERR);
 	}
-	ret = setenv("VERBOSITY", debug ? "1" : "0", 1);
+	ret = setenv("VERBOSE", debug ? "1" : "0", 1);
 	if(ret == -1){
 	  perror_plus("setenv");
 	  _exit(EX_OSERR);
@@ -1473,13 +1473,6 @@
 	  _exit(EX_OSERR);
 	}
 	free(delaystring);
-	if(connect_to != NULL){
-	  ret = setenv("CONNECT", connect_to, 1);
-	  if(ret == -1){
-	    perror_plus("setenv");
-	    _exit(EX_OSERR);
-	  }
-	}
 	if(execl(fullname, direntry->d_name, mode, NULL) == -1){
 	  perror_plus("execl");
 	  _exit(EXIT_FAILURE);
@@ -1608,7 +1601,7 @@
 	.group = 2 },
       { .name = "retry", .key = 132,
 	.arg = "SECONDS",
-	.doc = "Retry interval used when denied by the Mandos server",
+	.doc = "Retry interval used when denied by the mandos server",
 	.group = 2 },
       { .name = "network-hook-dir", .key = 133,
 	.arg = "DIR",

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2011-12-27 03:56:39 +0000
+++ plugins.d/mandos-client.xml	2011-11-27 14:44:28 +0000
@@ -583,23 +583,7 @@
 	  <listitem>
 	    <para>
 	      This will be the same as the <option>--delay</option>
-	      option passed to <command>&COMMANDNAME;</command>.  Is
-	      only set if <envar>MODE</envar> is
-	      <quote><literal>start</literal></quote> or
-	      <quote><literal>stop</literal></quote>.
-	    </para>
-	  </listitem>
-	</varlistentry>
-	<varlistentry>
-	  <term><envar>CONNECT</envar></term>
-	  <listitem>
-	    <para>
-	      This will be the same as the <option>--connect</option>
-	      option passed to <command>&COMMANDNAME;</command>.  Is
-	      only set if <option>--connect</option> is passed and
-	      <envar>MODE</envar> is
-	      <quote><literal>start</literal></quote> or
-	      <quote><literal>stop</literal></quote>.
+	      option passed to <command>&COMMANDNAME;</command>.
 	    </para>
 	  </listitem>
 	</varlistentry>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2011-12-25 00:40:09 +0000
+++ plugins.d/password-prompt.c	2011-12-25 10:33:25 +0000
@@ -124,13 +124,13 @@
     int ret;
     int cl_fd;
     {
-      uintmax_t maxvalue;
+      uintmax_t proc_id;
       char *tmp;
       errno = 0;
-      maxvalue = strtoumax(proc_entry->d_name, &tmp, 10);
+      proc_id = strtoumax(proc_entry->d_name, &tmp, 10);
       
       if(errno != 0 or *tmp != '\0'
-	 or maxvalue != (uintmax_t)((pid_t)maxvalue)){
+	 or proc_id != (uintmax_t)((pid_t)proc_id)){
 	return 0;
       }
     }
@@ -514,6 +514,7 @@
 	switch(e){
 	case EBADF:
 	  status = EX_UNAVAILABLE;
+	  break;
 	case EIO:
 	case EINVAL:
 	default:

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2011-12-25 00:40:09 +0000
+++ plugins.d/plymouth.c	2011-12-25 10:33:25 +0000
@@ -218,13 +218,13 @@
 int is_plymouth(const struct dirent *proc_entry){
   int ret;
   {
-    uintmax_t maxvalue;
+    uintmax_t proc_id;
     char *tmp;
     errno = 0;
-    maxvalue = strtoumax(proc_entry->d_name, &tmp, 10);
+    proc_id = strtoumax(proc_entry->d_name, &tmp, 10);
 
     if(errno != 0 or *tmp != '\0'
-       or maxvalue != (uintmax_t)((pid_t)maxvalue)){
+       or proc_id != (uintmax_t)((pid_t)proc_id)){
       return 0;
     }
   }
@@ -265,36 +265,36 @@
 
 pid_t get_pid(void){
   int ret;
-  uintmax_t maxvalue = 0;
+  uintmax_t proc_id = 0;
   FILE *pidfile = fopen(plymouth_pid, "r");
   /* Try the new pid file location */
   if(pidfile != NULL){
-    ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
+    ret = fscanf(pidfile, "%" SCNuMAX, &proc_id);
     if(ret != 1){
-      maxvalue = 0;
+      proc_id = 0;
     }
     fclose(pidfile);
   }
   /* Try the old pid file location */
-  if(maxvalue == 0){
+  if(proc_id == 0){
     pidfile = fopen(plymouth_pid, "r");
     if(pidfile != NULL){
-      ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
+      ret = fscanf(pidfile, "%" SCNuMAX, &proc_id);
       if(ret != 1){
-	maxvalue = 0;
+	proc_id = 0;
       }
       fclose(pidfile);
     }
   }
   /* Look for a plymouth process */
-  if(maxvalue == 0){
+  if(proc_id == 0){
     struct dirent **direntries = NULL;
     ret = scandir("/proc", &direntries, is_plymouth, alphasort);
     if (ret == -1){
       error_plus(0, errno, "scandir");
     }
     if (ret > 0){
-      ret = sscanf(direntries[0]->d_name, "%" SCNuMAX, &maxvalue);
+      ret = sscanf(direntries[0]->d_name, "%" SCNuMAX, &proc_id);
       if (ret < 0){
 	error_plus(0, errno, "sscanf");
       }
@@ -304,8 +304,8 @@
     free(direntries);
   }
   pid_t pid;
-  pid = (pid_t)maxvalue;
-  if((uintmax_t)pid == maxvalue){
+  pid = (pid_t)proc_id;
+  if((uintmax_t)pid == proc_id){
     return pid;
   }
   

